Skip to main content

Import Flow package

POST 

/trifactaClassic/v1/flows/package

Authentication scope: Workspace

Accessible using: OAuth 2.0 API Tokens

Import all flows from the given package. A ZIP file as exported by the export Flow endpoint is accepted.

Before you import, you can perform a dry-run to check for errors. See Import Flow package - Dry run.

This endpoint accept a multipart/form content type.

Here is how to send the ZIP package using curl.

curl -X POST https://ayx-sandbox.bender.rocks/v4/flows/package \
-H 'authorization: Bearer <api-token>' \
-H 'content-type: multipart/form-data' \
-F 'data=@path/to/flow-package.zip'

The response lists the objects that have been created.

Request​

Responses​

Success